# $Revision: 1.6 $, $Date: 2011/08/15 08:32:03 $
#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Lightweight task manager
Name:		lxtask
Version:	0.1.4
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	c4ab47d03d41a88696d64d3f1e78cf7f
URL:		http://wiki.lxde.org/en/LXTask
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTask - lightweight and desktop-independent task manager derived from
xfce4-taskmanager with all dependencies on xfce removed, new features,
and some improvement of the user interface.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxtask
%{_desktopdir}/lxtask.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxtask.spec,v $
Revision 1.6  2011/08/15 08:32:03  glen
- up to 0.1.4, gtk3 bcond

Revision 1.5  2010/09/14 19:48:56  glen
- more precise urls

Revision 1.4  2010/09/14 19:34:01  glen
- ws cleanup

Revision 1.3  2010/07/30 23:13:07  charles
- BR: gettext-devel, intltool, pkgconfig

Revision 1.2  2010/07/29 16:07:34  witekfl
- unneeded BR

Revision 1.1  2010/07/29 15:57:02  witekfl
- new
